Foreman - Bug #2427

bundler: ruby_20 is not a valid platform
04/24/2013 08:19 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: Packaging

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

When running a bundle install on pre-1.3 versions of Bundler, it rejects the :ruby_20 symbol used in platform constraints:

/home/dcleal/.rvm/gems/ruby-1.8.7-p371@global/gems/bundler-1.1.4/1ib/bundler/dsl.rb:220:in ~_norma
lize_options': “ruby_20° is not a valid platform. The available options are: [:rbx, :ruby_18, :jru
by, :ruby_19, :mswin, :mri, :mingw, :mri_18, :mingw_18, :mri_19, :ruby, :mingw_19]

Associated revisions

Revision c48f1e06 - 04/24/2013 09:13 AM - Dominic Cleal
fixes #2427 - use RUBY_VERSION for pre-Bundler 1.3 compatibility

History

#1 - 04/24/2013 08:25 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/546

#2 - 04/24/2013 10:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c48f1e06933ac721056d3693033881f2e920fb2d.

05/17/2024 1/1



https://github.com/theforeman/foreman/pull/546
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c48f1e06933ac721056d3693033881f2e920fb2d
http://www.tcpdf.org

